Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSSubscriberStateElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSSubscriberStateElement

All Implemented Interfaces:
  ParamParent, StateParent, XDSElement

public class XDSSubscriberStateElement
extends ElementImpl
implements StateParent

A `<subscriber-state>` element.

See Also:
  `XDSInitParamsElement.appendSubscriberStateElement()`, `XDSInitParamsElement.extractSubscriberStateElement()`

Method Summary
`ParamElement` | `paramElement(String tagName)` Returns this element's child parameter element with a tag name equal to `tagName`.
`void` | `parameters(Map params)` Extracts parameter values from this element's child elements.
`String` | `paramText(String tagName)` Returns the concatenated child text nodes from this element's child parameter element with a tag name equal to `tagName`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### paramElement

    public ParamElement paramElement(String tagName)
                              throws XDSParameterException

  Description copied from interface: `ParamParent`
  Returns this element's child parameter element with a tag name equal to `tagName`.

  Invocation Context:
    READ

  Specified by:
    `paramElement` in interface `ParamParent`
  Parameters:
    `tagName` - may be `null`
  Returns:
    may be `null`
  Throws:
    `XDSParameterException` - if parameter tag names are not unique

### paramText

    public String paramText(String tagName)
                     throws XDSParameterException

  Description copied from interface: `ParamParent`
  Returns the concatenated child text nodes from this element's child parameter element with a tag name equal to `tagName`.

  Invocation Context:
    READ

  Specified by:
    `paramText` in interface `ParamParent`
  Parameters:
    `tagName` - may be `null`
  Returns:
    may be `null`; will not return `""`
  Throws:
    `XDSParameterException` - if parameter tag names are not unique

### parameters

    public void parameters(Map params)
                    throws XDSParameterException

  Description copied from interface: `ParamParent`
  Extracts parameter values from this element's child elements.

  Invocation Context:
    READ

  Specified by:
    `parameters` in interface `ParamParent`
  Parameters:
    `params` - the map of `Parameter`s to extract; must not be `null`
  Throws:
    `XDSParameterException` - if parameter tag names are not unique or if a parameter constraint is violated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD